#-----------------------------------------------------------------------------
%define		dist		.ok
#-----------------------------------------------------------------------------
Name		:	mate-utils
Version		:	1.28.0
Release		:	16.2.1.rel%{?dist}
Summary		:	MATE utility programs
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	intltool
BuildRequires	:	mate-applets
BuildRequires	:	mate-common
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk+
BuildRequires	:	libgtop
BuildRequires	:	libcanberra
BuildRequires	:	udisks
#-----------------------------------------------------------------------------
%description
The '%{name}' package contains a set of small "desk accessory"
utility applications for MATE, such as a dictionary, a disk usage
analyzer, a screenshot tool and others.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_includedir}/mate-dict/gdict/gdict*.h
%{_bindir}/mate-*
%{_libdir}/libmatedict.so*
%{_libdir}/pkgconfig/mate-dict.pc
%{_libexecdir}/mate-dictionary-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.DictionaryAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.*.xml
%{_datadir}/applications/mate-*.desktop
%{_datadir}/gtk-doc/html/mate-dict/*.{html,png}
%{_datadir}/gtk-doc/html/mate-dict/style.css
%{_datadir}/gtk-doc/html/mate-dict/mate-dict.devhelp2
%{_datadir}/help/*/mate-*/index.docbook
%{_datadir}/help/*/mate-*/legal.xml
%{_datadir}/help/*/mate-*/figures/*.png
%{_datadir}/icons/hicolor/*/apps/mate-*.png
%{_datadir}/icons/hicolor/scalable/apps/mate-*.svg
%{_datadir}/mate-dict/sources/*.desktop
%{_datadir}/mate-*/*.ui
%{_datadir}/metainfo/mate-*.appdata.xml
%{_datadir}/mate-panel/applets/org.mate.DictionaryApplet.mate-panel-applet
%{_datadir}/mate-*/*.xml
%{_datadir}/pixmaps/mate-*/*.png
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q 

#translation problem
%{__rm} -fr gsearchtool/help/uk

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-maintainer-flags			\
	--disable-static				\

#	--disable-schemas-compile			\
#	--disable-dependency-tracking			\

#https://bugzilla.gnome.org/show_bug.cgi?id=656231
sed -i							\
  -e 's/ -shared / -Wl,-O1,--as-needed\0/g'		\
  libtool

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
#need to be compiled on one CPU
%define _smp_mflags -j1
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
